aeson-1.0.2.1: Fast JSON parsing and encoding

Copyright | (c) 2015-2016 Bryan O'Sullivan
License | BSD3
Maintainer | Bryan O'Sullivan <bos@serpentine.com>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Data.Aeson.Internal.Time

Description

Synopsis

- data TimeOfDay64 = TOD !Int !Int !Int64
- fromPico :: Pico -> Integer
- toPico :: Integer -> Pico
- diffTimeOfDay64 :: DiffTime -> TimeOfDay64
- toTimeOfDay64 :: TimeOfDay -> TimeOfDay64

# Documentation

data TimeOfDay64 #

Like TimeOfDay, but using a fixed-width integer for seconds.

Constructors

TOD !Int !Int !Int64 |

fromPico :: Pico -> Integer #

toPico :: Integer -> Pico #

diffTimeOfDay64 :: DiffTime -> TimeOfDay64 #

toTimeOfDay64 :: TimeOfDay -> TimeOfDay64 #